Add tags to multiple tasks
curl --request POST \
--url https://api.avidoai.com/v0/tasks/tags \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"taskIds": [
"123e4567-e89b-12d3-a456-426614174000",
"223e4567-e89b-12d3-a456-426614174001"
],
"tagIds": [
"456e4567-e89b-12d3-a456-426614174000",
"789e4567-e89b-12d3-a456-426614174000"
]
}
'import requests
url = "https://api.avidoai.com/v0/tasks/tags"
payload = {
"taskIds": ["123e4567-e89b-12d3-a456-426614174000", "223e4567-e89b-12d3-a456-426614174001"],
"tagIds": ["456e4567-e89b-12d3-a456-426614174000", "789e4567-e89b-12d3-a456-426614174000"]
}
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-application-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
taskIds: ['123e4567-e89b-12d3-a456-426614174000', '223e4567-e89b-12d3-a456-426614174001'],
tagIds: ['456e4567-e89b-12d3-a456-426614174000', '789e4567-e89b-12d3-a456-426614174000']
})
};
fetch('https://api.avidoai.com/v0/tasks/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Tasks
Add tags to multiple tasks
Add one or more tags to multiple tasks in a single request. All tasks and tags must exist and belong to the same organization.
POST
/
v0
/
tasks
/
tags
Add tags to multiple tasks
Authorizations
Your unique Avido API key
Your unique Avido Application ID
Body
application/json
Request body for adding tags to multiple tasks
Array of task IDs to add tags to
Minimum array length:
1Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
[
"123e4567-e89b-12d3-a456-426614174000",
"223e4567-e89b-12d3-a456-426614174001"
]
Array of tag IDs to add to the tasks
Minimum array length:
1Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
[
"456e4567-e89b-12d3-a456-426614174000",
"789e4567-e89b-12d3-a456-426614174000"
]
Response
Tags successfully added to tasks
⌘I